mgr/dashboard: RbdMirroringService test suite fails in dev mode

01/09/2019 12:47 PM - Stephan Müller

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Stephan Müller   

Category: Testing & QA   

Target version: v14.0.0   

Source:  Affected Versions: v14.0.0

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 25865

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

If you have set DEV in unit-test-configuration.ts to true, in order to run all unit tests much faster, the unit test suite of rbd mirroring

service fails.

The reason is, that it's expecting a call, that is triggered inside the constructor, which is only done once in for the copy used in the

fast testing mode (if it would be done on within ngOnInit this wouldn't be a problem).

History

#1 - 01/09/2019 12:48 PM - Stephan Müller

- Subject changed from mgr/dashboard: RbdMirroringService unit test suite fails in dev mode unit test configuration  to mgr/dashboard:

RbdMirroringService test suite fails in dev mode

#2 - 01/09/2019 12:57 PM - Stephan Müller

- Status changed from New to Fix Under Review

- Pull request ID set to 25865

#3 - 02/04/2019 11:24 AM - Stephan Müller

- Status changed from Fix Under Review to Resolved

#4 - 04/22/2021 11:18 AM - Ernesto Puerta

- Tracker changed from Fix to Bug

- Project changed from mgr to Dashboard

- Category changed from 151 to Testing & QA

- Regression set to No

- Severity set to 3 - minor
